function res = RT(x)
//-----------------------------------------------------------------------  
// function res = RT(x)
//
// perform RT-Transformation which is CT with functions 
// pairwise addition and absolute difference.
//
// input:    x           vector/ matrix: each column will be processed
//                       by the RT. 
//
// output:   res         vector/ matrix of the columnwise results of 
//                       the transformation of x. 
//
//-----------------------------------------------------------------------  
//   $RCSfile: RT.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $Author: poluru $
//
//-----------------------------------------------------------------------
//  $Log: RT.sci,v $
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//  Revision 1.2  2002/06/12 18:27:01  poluru
//  fixed error by removing f1 & f2
//
//  Revision 1.1  2002/05/06 16:43:57  haasdonk
//  inserted files from lecture WS0102 / SS02
//
//-----------------------------------------------------------------------
  
  res = CT(pw_add,pw_absdiff,x);
  
endfunction;








