function plotpol(p)
//-----------------------------------------------------------------------  
// function plotpol(p)
//
// is a function for PLOTING a polygon 
//
// input   p              is a 2*n  matrix with x,y co-ordinates of
//                        indices of polygon as its  elements    
//
//-----------------------------------------------------------------------  
//   $RCSfile: plotpol.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $ Bhaskara Reddy. Poluru $
//
//-----------------------------------------------------------------------
//  $Log: 
//-----------------------------------------------------------------------

  
  [out, in] = argn(0);
  if in ~=1,
    error('wrong number of input arguments.');
  end;
  
  //   finding the no. of indices
  n= size(p,2);
  xselect();
  
  // first setting the Isometric view of the polygon 
  plot2d(p(1,:),p(2,:),0,"041"," ", [min(p),min(p),max(p),max(p)]);
  
  // now plotting the polygon
  xpoly(p(1,:), p(2,:), "lines", 1);

endfunction

