.TH RT  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
RT - translation-invariant CT-transformation of vectors with functions pairwise-addition and absolute-difference

.SH CALLING SEQUENCE
.nf
res = RT(x)
.fi

.SH PARAMETERS
.TP 10
x    :
vector/matrix: each column will be processed by the RT.
.TP 10
res  :       
vector/matrix of the columnwise results of the transformation of x.

.SH DESCRIPTION
\fVRT\fR performs CT transformation using the commutative functions 
pairwise-addition and absolute-difference on the given column vector 
x, if x is a matrix then each of its column vectors will be processed 
simultaneously. 

.SH EXAMPLE 
.nf 
x = [1 2; 3 4];
res = RT(x);  
.fi

.SH SEE ALSO
CT, CT_DI, CT_SZ, CT_ZS, MT, MT_DI, MT_SZ, MT_ZS, 
QT, QT_DI, QT_SZ, QT_ZS, RT_DI, RT_SZ, RT_ZS

.SH AUTHOR
Bernard Haasdonk

