.TH inputpol  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
inputpol - generates a polygon interactively( by mouse clicks/drags)

.SH CALLING SEQUENCE
.nf
res = inputpol(['mode', Mode], ['size', Size], ['noclose'], ['no-nw'])
.fi

.SH PARAMETERS
.TP 14
Mode      :      
sets the mode of mouse drawing('click' or 'drag'); default: 'click'; optional
.TP 12
Size      :      
a 1*4 matrix which sets the region of drawing; default :[-5,-5,10,5]; optional
.TP 12
'noclose' :      
by default the graphics-window will be closed soon after the drawing is
finished, this should be given in order to keep the window remain opened 
even after the drawing is finished ; optional
.TP 12
'no-nw'   :      
a new graphics-window will be popped up when ever "inputpol()" is called,
this should be given in order to draw in an already existing window.
.TP 12
res       :      
a 2*n matrix with indices of resulting polygon as its elements

.SH DESCRIPTION
\fVinputpol\fR allows the user to draw a polygon by clicking/draging the 
mouse(left mouse button should be pressed for drawing) in the window 
which  is popped-up by the function-call, if the user gives 'no-nw' then
the currently-active  window will be set for  drawing, the window will 
be closed after drwaing (if the user doesn't give 'no-close' argument).

.SH EXAMPLE 
.nf 
res = inputpol();
//or
Mode = 'drag';
Size = [-3,-3,6,3];
res = inputpol('mode', Mode, 'size', Size, 'noclose', 'no-nw');
.fi

.SH SEE ALSO
plotpol

.SH AUTHOR
Bhaskara Reddy Poluru

