.TH polboundary  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
polboundary - length of boundary of a real polygon 

.SH CALLING SEQUENCE
.nf
res = polboundary(p)
.fi

.SH PARAMETERS
.TP 10
p    :      
a 2*n real matrix representing the polygon for which the 
length of boundary to be calculated.
.TP 10
res  :      
length of boundary of the input polygon

.SH DESCRIPTION
\fVpolboundary\fR calculates the length of boundary of the polygon 
represented by a 2*n real valued matrix.

.SH EXAMPLE 
.nf 
p = polstar(5,4,3);
res = polboundary(p);  
.fi

.SH SEE ALSO
polarea, polcog, pollinecog, polstar, plotpol

.SH AUTHOR
Bhaskara Reddy Poluru

