.TH polcog  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
polcog - center of gravity of a real polygon 

.SH CALLING SEQUENCE
.nf
res = polcog(p)
.fi

.SH PARAMETERS
.TP 10
p    :      
a 2*n real matrix representing the polygon for which the center 
of gravity to be calculated.

.TP 10
res  :      
center of gravity of the input polygon

.SH DESCRIPTION
\fVpolcog\fR calculates the center of gravity of the polygon 
represented by a 2*n real valued matrix.

.SH EXAMPLE 
.nf 
p = polstar(5,4,3);
res = polcog(p);  
.fi

.SH SEE ALSO
pollinecog, polarea, polboundary, polstar, plotpol

.SH AUTHOR
Bhaskara Reddy Poluru

