.TH setmatrix  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
setmatrix - stores  the data (an integer matrix) in an object figure.

.SH CALLING SEQUENCE
.nf
setmatrix(f, s, mat)
.fi

.SH PARAMETERS
.TP 10
f     : 
object figure number      
.TP 10
s     :      
string argument specifying the name with which the data(as a matrix) 
to be stored in the "object figure"
.TP 10
mat   : 
data to be stored in the "object figure" (an integer matrix)

.SH DESCRIPTION
\fVsetmatrix\fR sets the data (an integer matrix) in an "object figure"
just like "set" function(which stores data) in the "object figure". but 
this function works even for a huge data

.SH EXAMPLE 
.nf 
f = figure();
s = "setdata";
mat = [1:200; 1:200];
setmatrix(f, s, mat);
close(f);
.fi

.SH SEE ALSO
getmatrix

.SH AUTHOR
Bhaskara Reddy Poluru


